var tabla,tabla1,tabla2,tabla3;
var ventavalidoi = [];

//funcion que se ejecuta al inicio
function init(){
	mostrarform(false);
	listar();
	
	(async () => {
		await listarpagada(); // Espera a que listarpagada termine
		await asignarventavalido();  // Llama a la otra función después
	})();

	
	

	$("#btnGuardar").on("click",function(e){
	/* Evitamos el envío real del formulario */
	e.preventDefault(); 

		var montocomision	=	numero(document.getElementById('montocomision').value);
		var montoventa	=	numero(document.getElementById('montoventa').value);
		//if (diferencia<=0){ Solo para jvg	
		if (montoventa!=0) {montocomision
			if (montocomision!=0){  
				bootbox.confirm("¿Esta seguro que quiere guardar los dato?", function(result){
					if (result) {
						modificarValoresAnumerico();
						guardaryeditar(e);	
					}
				})
			}else{
				bootbox.alert("El calculo de la comisión esta en cero");
			} 
		}else{
			bootbox.alert("No hay documento seleccionado");
		}
	});

	/* $('#tbllistado1').on('input', ':input', function() { 
		var value = $(this).val(); //obtiene el valor actual del input.
		var name = $(this).prop('name');
		console.log(name+": "+value);
		 if (value.length > 0){ //si el campo no esta vacio
		 //console.log(name+": "+value);
		 calculacomision();
		}
 	}); */


}

function actualizar(){
	location.reload();
}

function limpiarvendedor() {
	let cobranza 	= document.getElementsByName('cobranza[]');
	let venta 		= document.getElementsByName('venta[]');
	for (var i = 0, j = cobranza.length; i < j; i++) {
		cobranza[i].value = 0;
	}
	for (var i = 0, j = venta.length; i < j; i++) {
		venta[i].value = 0;
	}
}

//Funcion para seleccionar todos las cxc
function marcartodolascxc() {
	let checks 							= document.getElementsByName('iddocumento[]');
	
	for (var i = 0, j = checks.length; i < j; i++)
	//for (var i = 0, j = 2; i < j; i++)
		{	
		// buscamos los valores pata la funncion 
		// change_checkboxc(id,el,idvendedor,montodd,vendedor,diacobranza,cobrarcxc)

		checks[i].checked = true;
		console.log('data1: ',checks[i].value); 
		const idp1 					= idp(checks[i].value);
		const monto 				= montop(checks[i].value);
		const idvendedorp1 	= idvendedorp(checks[i].value);
		const discobranzap1	= discobranzap(checks[i].value);
		const cobrarp1 			= cobrarp(checks[i].value);
		const vendedorp1		= vendedorp(checks[i].value);
		const idventa1			= idventap(checks[i].value);
		const this1					='this';
		console.log('idp1: ',idp1,'monto: ',monto,'idvendedorp1: ',idvendedorp1,'discobranzap1: ',discobranzap1,'monto: ',cobrarp1,'vendedorp: ',vendedorp1,'idventa:',idventa1); 
		
		comosiovv		=comisioventasuma(idp1,idvendedorp1,monto);
		comisionv		=valor(comosiovv,0);
		porv				=valor(comosiovv,1);
		
		comosiovvg	= comisioventagerentesuma(idp1,idvendedorp1,monto,vendedorp1,cobrarp1);
		comisiong		=valor(comosiovvg,0);
		porg				=valor(comosiovvg,1);
		comosiovvc	=comisiocobranzasuma(idp1,idvendedorp1,monto,discobranzap1); 
		comisionc		=valor(comosiovvc,0);
		porc				=valor(comosiovvc,1);
		
		ventavalidoi[idp1]=idventa1+'-'+monto+'-'+idvendedorp1+'-'+discobranzap1+'-'+comisionv+'-'+porv+'-'+comisiong+'-'+porg+'-'+comisionc+'-'+porc;
		
		totalcomision();
	
		comosiovvp	=comisionpersonal(idp1);
		comisionp		=valor(comosiovvp,0);
		porp				=valor(comosiovvp,1);

		if(ventavalidoi[idp1]!='no'){
			ventavalidoi[idp1]=ventavalidoi[idp1]+'-'+comisionp+'-'+porp;
		}
		totalcomision(); 
	
	}

	for (var i = 0, j = ventavalidoi.length; i < j; i++) {
		console.log('ventavalidoi[] '+'i: '+i+' Valor: '+ventavalidoi[i]);
	}

}

//Funcion para seleccionar todos las cxc
function desmarcartodolascxc() {
	let checks 							= document.getElementsByName('iddocumento[]');
		
	for (var i = 0, j = checks.length; i < j; i++)
	//for (var i = 0, j = 2; i < j; i++)
		{	
		// buscamos los valores pata la funncion 
		// change_checkboxc(id,el,idvendedor,montodd,vendedor,diacobranza,cobrarcxc)

		checks[i].checked = false;
		console.log('data1: ',checks[i].value); 
		const idp1 					= idp(checks[i].value);
		const monto 				= montop(checks[i].value);
		const idvendedorp1 	= idvendedorp(checks[i].value);
		const discobranzap1	= discobranzap(checks[i].value);
		const cobrarp1 			= cobrarp(checks[i].value);
		const vendedorp1		= vendedorp(checks[i].value);
		const idventa1			= idventap(checks[i].value);
		const this1					='this';
		console.log('idp1: ',idp1,'monto: ',monto,'idvendedorp1: ',idvendedorp1,'discobranzap1: ',discobranzap1,'monto: ',cobrarp1,'vendedorp: ',vendedorp1,'idventa:',idventa1); 
		
		comisioventaquitar(idp1,idvendedorp1,monto);
		comisioventagerentequitar(idp1,idvendedorp1,monto,vendedorp1,cobrarp1);
		comisiocobranzaquitar(idp1,idvendedorp1,monto,discobranzap1);
		limpiarvendedor(); 
		ventavalidoi[idp1]='no';
		totalcomision();
	
		comosiovvp	=comisionpersonal(idp1);
		comisionp		=valor(comosiovvp,0);
		porp				=valor(comosiovvp,1);
		
		totalcomision(); 
	
	}

	for (var i = 0, j = ventavalidoi.length; i < j; i++) {
		console.log('ventavalidoi[] '+'i: '+i+' Valor: '+ventavalidoi[i]);
	}

}

//funcion para guardaryeditar
function modificarValoresAnumerico(){
	var monto1							=	document.getElementsByName("montodd[]");
	var monto120						=	document.getElementsByName("montoddd[]");
	var totalcomision 			= document.getElementsByName('totalcomision[]');
	var totalcomision1 			= document.getElementsByName('totalcomision1[]');
	var venta 							= document.getElementsByName('venta[]');
	var venta1 							= document.getElementsByName('venta1[]');
	var cobranza 						= document.getElementsByName('cobranza[]');
	var cobranza1 					= document.getElementsByName('cobranza1[]'); 
	
	let vendedorvalido 			= document.getElementsByName('vendedorvalido[]'); 
	let checks 							= document.getElementsByName('idvendedor[]'); 
	let ventavalido					=	document.getElementsByName("ventavalido[]");

	for (var i = 0, j = checks.length; i < j; i++) 
	{	
		vendedorvalido[i].value='no';	
		if(checks[i].checked == true)
		{	vendedorvalido[i].value='si';}
	}

	let personavalido1 					= document.getElementsByName('vendedorvalido1[]');
	let checks1 								= document.getElementsByName('idvendedorp[]');

	for (var i = 0, j = checks1.length; i < j; i++) 
	{	
		personavalido1[i].value='no';	
		if(checks1[i].checked == true)
		{	personavalido1[i].value='si';	}
	}
	
	    
	   
	
	var montoventa					=	$('#montoventa').val();
	var montocomisionv			=	$('#montocomisionv').val();
	var montocomisionvv			=	$('#montocomisionvv').val();
	var montocomisioncg			=	$('#montocomisioncg').val();
	var montocomisionvp			=	$('#montocomisionvp').val();
	var montocomisionc			=	$('#montocomisionc').val();
	var totalcomisionv			=	$('#totalcomisionv').val();

	var porcentajecomisionv	=	$('#porcentajecomisionv').val();
	var porcentajecomisionvv	=	$('#porcentajecomisionvv').val();
	var porcentajecomisionc	=	$('#porcentajecomisionc').val();
	var porcentajecomisionvg=	$('#porcentajecomisionvg').val();
	var porcentajecomisionvp=	$('#porcentajecomisionvp').val();

	var montocomision				=	$('#montocomision').val();
	montocomision 			=	numero(montocomision);
	$('#montocomision').val(montocomision);

	
	montoventa					=	numero(montoventa);
	montocomisionv			=	numero(montocomisionv);
	montocomisionvv			=	numero(montocomisionvv);
	montocomisioncg			=	numero(montocomisioncg);
	montocomisionvp			=	numero(montocomisionvp);
	montocomisionc			=	numero(montocomisionc);
	totalcomisionv			=	numero(totalcomisionv);

	porcentajecomisionv	=	numero(porcentajecomisionv);
	porcentajecomisionvv=	numero(porcentajecomisionvv);
	porcentajecomisionc	=	numero(porcentajecomisionc);
	porcentajecomisionvg=	numero(porcentajecomisionvg);
	porcentajecomisionvp=	numero(porcentajecomisionvp);

	
	$('#montoventa').val(montoventa);
	$('#montocomisionv').val(montocomisionv);
	$('#montocomisionvv').val(montocomisionvv);
	$('#montocomisioncg').val(montocomisioncg);
	$('#montocomisionvp').val(montocomisionvp);
	$('#montocomisionc').val(montocomisionc);
	$('#totalcomisionv').val(totalcomisionv);

	$('#porcentajecomisionv').val(porcentajecomisionv);
	$('#porcentajecomisionvv').val(porcentajecomisionvv);
	$('#porcentajecomisionc').val(porcentajecomisionc);
	$('#porcentajecomisionvg').val(porcentajecomisionvg);
	$('#porcentajecomisionvp').val(porcentajecomisionvp);

	for (var i = 0; i < monto1.length; i++) {
		var monto11			=	monto1[i];
		var monto1120		=	monto120[i];
		monto11.value		=	numero(monto11.value);
		monto1120.value	=	numero(monto1120.value);
	}

	for (var i = 0; i < totalcomision.length; i++) {
		var totalc		=	totalcomision[i];
		var vent			=	venta[i];
		var cobranz		=	cobranza[i];

		totalc.value	=	numero(totalc.value);
		vent.value		=	numero(vent.value);
		cobranz.value	=	numero(cobranz.value);
	}

	for (var i = 0; i < totalcomision1.length; i++) {
		var totalc1		=	totalcomision1[i];
		var vent1			=	venta1[i];
		var cobranz1	=	cobranza1[i];

		totalc1.value	=	numero(totalc1.value);
		vent1.value		=	numero(vent1.value);
		cobranz1.value=	numero(cobranz1.value);
	}

	for (var i = 0, j = ventavalido.length; i < j; i++) {
		ventavalido[i].value = ventavalidoi[i];
		console.log('Antes de guardar ventavalido[] '+'i: '+i+' Valor: '+ventavalido[i].value);
	}
	
}

//funcion para guardaryeditar
function guardaryeditar(e){
	e.preventDefault();//no se activara la accion predeterminada 
	$("#btnGuardar").prop("disabled",true);
	var formData=new FormData($("#formulario")[0]);
	/**/ 
	$.ajax({
		url: "controladores/pagocomisionesControlador.php?op=guardaryeditar",
		type: "POST",
		data: formData,
		contentType: false,
		processData: false,

		success: function(datos){
			bootbox.alert(datos);
			mostrarform(false);
			//tabla.ajax.reload();
			limpiar();
			actualizar();
		}
	}); 
	//limpiar(); 
	/* console.log('formData :',formData);
	formData.forEach(function(value, key) {
		console.log(key + ": " + value);
	});*/ 
}

//funcion limpiar
function limpiar(){
	$('#formulario').data('bootstrapValidator').resetForm(true);
	$("#montoventa").val(0);
	$("#porcentajecomision").val(0);
	$("#porcentajecomisionv").val(0);
	$("#porcentajecomisionvv").val(0);
	$("#porcentajecomisionc").val(0);
	$("#porcentajecomisionvg").val(0);
	$("#porcentajecomisionvp").val(0);
	$("#montocomisionv").val(0);
	$("#montocomisionvv").val(0);
	$("#montocomisionc").val(0);
	$("#montocomisioncg").val(0);
	$("#montocomisionvp").val(0);
	$("#montocomision").val(0);
	$("#montocomisionvp").val(0);
	$("#montoventasin").val(0);
	$("#idpagocomisiones").val("");
	$("#totalcomisionv").val(0);
	$("#totalcomisionvp").val(0);

	let checks						= document.getElementsByName('iddocumento[]');
	let checksv 					= document.getElementsByName('idvendedor[]');
	let checksp 					= document.getElementsByName('idvendedorp[]');
	let ventavalido				=	document.getElementsByName("ventavalido[]");
	let vendedorvalido 		= document.getElementsByName('vendedorvalido[]');
	let venta 						= document.getElementsByName('venta[]');
	let cobranza 					= document.getElementsByName('cobranza[]');
	let porcentajeventa		= document.getElementsByName('porcentajeventa[]');
	let venta1 						= document.getElementsByName('venta1[]');
	let totalcomision1 		= document.getElementsByName('totalcomision1[]');
	let personavalido1 					= document.getElementsByName('vendedorvalido1[]');

	//Limpiamos facturas seleccionadas
	for (var i = 0, j = checks.length; i < j; i++) {
		checks[i].checked 		= false;
		ventavalido[i].value 	= 'no';
	}

	//Ahora vendededores 
	for (var i = 0, j = checksv.length; i < j; i++) {
		checksv[i].checked 			= true;
		vendedorvalido[i].value	='si';
		venta[i].value					=0;
		cobranza[i].value				=0;
		porcentajeventa[i]			=0;
	}	

	//Ahora personal seleccionado
	for (var i = 0, j = checksp.length; i < j; i++) {
		checksp[i].checked 			= true;
		personavalido1[i].value	='si';
		venta1[i].value 				= 0;
		totalcomision1[i].value = 0;
	}

	totalcomision();

	
}

//funcion mostrar formulario 
function mostrarform(flag){
	limpiar();
	
	if(flag){
		$("#listadoregistros").hide();
		$("#formularioregistros").show();
		$("#formularioregistros1").show();
		$("#btnGuardar").prop("disabled",false);
		$("#btnagregar").hide();
	}else{
		$("#listadoregistros").show();
		
		$("#formularioregistros").hide();
		$("#formularioregistros1").hide();
		$("#btnagregar").show();
	}
}


//funcion listarpagada
function listar(){
	tabla=$('#tbllistado2').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"bPaginate": false, //Quitamos la paginación
		"bFilter": false, //Quitamos la busqueda
		"bInfo": false,  //quitamos el campo de busqueda
	"ajax":
	{
		url:'controladores/pagocomisionesControlador.php?op=listar',
		type: "get",
		dataType : "json",
		error:function(e){
			console.log(e.responseText);
		},
	},
	/* "columnDefs": [ //Oculto La columna por donde ordeno
		{
				"targets": [ 7 ],
				"visible": false,
				"searchable": false
		}
		
	], */
	"drawCallback":function(){
		//alert("La tabla se está recargando"); 
		var api 	= this.api();
	//	var tactual	= api.column(3, {page:'current'}).data().sum();
		var totalt	= api.column(2).data().sum();
		var totalt2= api.column(3).data().sum();
		var totalt3= api.column(5).data().sum();
		var totalt4= api.column(7).data().sum();
		var totalt5= api.column(9).data().sum();
		var totalt6= api.column(11).data().sum();
		var totalt7= api.column(13).data().sum();
		totalts		= totalt*1;
		totalt		= number_format(totalt*1,2);
		totalt2s	= totalt2;
		totalt2		= number_format(totalt2*1,2);
		totalt2p	= number_format((totalt2s*1/totalts)*100,2);
		totalt3s	= totalt3;
		totalt3		= number_format(totalt3*1,2);
		totalt3p	= number_format((totalt3s*1/totalts)*100,2);
		totalt4s	= totalt4;
		totalt4		= number_format(totalt4*1,2);
		totalt4p	= number_format((totalt4s*1/totalts)*100,2);
		totalt5s	= totalt5;
		totalt5		= number_format(totalt5*1,2);
		totalt5p	= number_format((totalt5s*1/totalts)*100,2);
		totalt6s	= totalt6;
		totalt6		= number_format(totalt6*1,2);
		totalt6p	= number_format((totalt6s*1/totalts)*100,2);
		totalt7s	= totalt7;
		totalt7		= number_format(totalt7*1,2);
		totalt7p	= number_format((totalt7s*1/totalts)*100,2);
		/* $(api.column(4).footer()).html('Total Actual:');
		$(api.column(5).footer()).html(tactual); */
		$(api.column(0).header()).html('');
		$(api.column(2).header()).html('<div align="right">'+totalt+'</div>');
		$(api.column(3).header()).html('<div align="right">'+totalt2+'</div>');
		$(api.column(4).header()).html('<div align="right">'+totalt2p+'%</div>');
		$(api.column(5).header()).html('<div align="right">'+totalt3+'</div>');
		$(api.column(6).header()).html('<div align="right">'+totalt3p+'%</div>');
		$(api.column(7).header()).html('<div align="right">'+totalt4+'</div>');
		$(api.column(8).header()).html('<div align="right">'+totalt4p+'%</div>');
		$(api.column(9).header()).html('<div align="right">'+totalt5+'</div>');
		$(api.column(10).header()).html('<div align="right">'+totalt5p+'%</div>');
		$(api.column(11).header()).html('<div align="right">'+totalt6+'</div>');
		$(api.column(12).header()).html('<div align="right">'+totalt6p+'%</div>');
		$(api.column(13).header()).html('<div align="right">'+totalt7+'</div>');
		$(api.column(14).header()).html('<div align="right">'+totalt7p+'%</div>');
	}, 
	"bDestroy":true,
	"iDisplayLength":-1,//paginacion
	"order":[[0,"desc"]]//ordenar (columna, orden)
}).DataTable();
}


//funcion listarpagada
async function listarpagada(){
	return new Promise((resolve, reject) => {
    // Tu código asíncrono de listarpagada aquí
		tabla1=$('#tbllistado').dataTable({
			"aProcessing": true,//activamos el procedimiento del datatable
			"aServerSide": true,//paginacion y filrado realizados por el server
			dom: 'Bfrtip',//definimos los elementos del control de la tabla
			buttons: [
	
			],
			"bPaginate": false, //Quitamos la paginación
      "bFilter": true, //Quitamos la busqueda
      "bInfo": false,  //quitamos el campo de busqueda
		"ajax":
		{
			url:'controladores/ventanControlador.php?op=listarpagada',
			type: "get",
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			},
		  
		},
		"columnDefs": [ //Oculto La columna por donde ordeno
			{
					"targets": [ 8 ],
					"visible": false,
					"searchable": false
			}
			
		],
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
			var total	= api.column(8, {page:'current'}).data().sum();
		//	var total	= api.column(8).data().sum();
		//	tactual		= number_format(tactual*1,2);
			total		= number_format(total*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(3).footer()).html('Total:');
			$(api.column(6).footer()).html(total);
			
		}, 
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"ASC"]]//ordenar (columna, orden)
		}).DataTable();
    setTimeout(() => {
      console.log("Ejecutando listarpagada");
      resolve(); // Resuelve la promesa cuando la tarea asíncrona haya terminado
    }, 1000); // Simulación de una operación asíncrona que tarda 1 segundo
  })
}

//funcion listar
function listarpersonal(){
	tabla1=$('#tbllistado51').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"bPaginate": false, //Quitamos la paginación
		"bFilter": false, //Quitamos la busqueda
		"bInfo": false,  //quitamos el campo de busqueda
	"ajax":
	{
		url:'controladores/vendedorControlador.php?op=listarpersona',
		type: "get",
		dataType : "json",
		error:function(e){
			console.log(e.responseText);
		}
	},
	/* "drawCallback":function(){
		var api 	= this.api();
		var total	= api.column(3).data().sum();
		total		= number_format(total*1,2);
		$(api.column(0).footer()).html('Total:');
		$(api.column(3).footer()).html(total);
	},  */
	"bDestroy":true,
	"iDisplayLength":-1,//paginacion
	"order":[[0,"desc"]]//ordenar (columna, orden)
}).DataTable();
}

//funcion listar
function listarpersonal2(){
	tabla1=$('#tbllistado52').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [

		],
		"bPaginate": false, //Quitamos la paginación
		"bFilter": false, //Quitamos la busqueda
		"bInfo": false,  //quitamos el campo de busqueda
	"ajax":
	{
		url:'controladores/personasalesControlador.php?op=listarpersona',
		type: "get",
		dataType : "json",
		error:function(e){
			console.log(e.responseText);
		}
	},
	/* "drawCallback":function(){
		var api 	= this.api();
		var total	= api.column(3).data().sum();
		total		= number_format(total*1,2);
		$(api.column(0).footer()).html('Total:');
		$(api.column(3).footer()).html(total);
	},  */
	"bDestroy":true,
	"iDisplayLength":-1,//paginacion
	"order":[[0,"desc"]]//ordenar (columna, orden)
}).DataTable();
}


function mostrar(idcomision){
	comisionventa(idcomision);
	//comisionvendedor(idcomision);
}

function comisionpersonala(idpagocomisiones){
	//console.log('Estamos en listara y almacen:'+idalmacen1);
	tabla=$('#tbcomisionpersonala').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		"bPaginate": false, //hide pagination
    "bFilter": false, //hide Search bar
    "bInfo": false, // hide showing entries
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: 'Personal Administrativo Comisión',
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'letter', //A3 , A5 , A6 , legal , A4
				title: 'Comisión Peronal Administrativo',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
		
		"ajax":
		{
			url:'controladores/pagocomisionesControlador.php?op=comisionpersonala',
			type: "post",
			data: {
				idpagocomisiones : idpagocomisiones
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
		//	var tactual	= api.column(3, {page:'current'}).data().sum();
			var total	= api.column(1).data().sum();
			//var total2= api.column(2).data().sum();
			//var total3= api.column(3).data().sum();
			totalt		= number_format(total*1,2);
			//totalt2		= number_format(total2*1,2);
			//totalt3		= number_format(total3*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(0).footer()).html('Total:');
			$(api.column(1).footer()).html('<div align="right">'+totalt+'</div>');
			//$(api.column(2).footer()).html(totalt2);
			//$(api.column(3).footer()).html(totalt3);
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[1,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	$('#myModalcomision').modal('show');
}

function comisionvendedor(idpagocomisiones){
	//console.log('Estamos en listara y almacen:'+idalmacen1);
	tabla=$('#tbcomisionvendedor').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		"bPaginate": false, //hide pagination
    "bFilter": false, //hide Search bar
    "bInfo": false, // hide showing entries
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: 'Vendedores Comisión',
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize:  'legal',//A3 , A5 , A6 , legal , 'A4',
				title: 'Comisión de Vendedores',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
		
		"ajax":
		{
			url:'controladores/pagocomisionesControlador.php?op=comisionvendedor',
			type: "post",
			data: {
				idpagocomisiones : idpagocomisiones
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
		//	var tactual	= api.column(3, {page:'current'}).data().sum();
			var total	= api.column(1).data().sum();
			var total2= api.column(2).data().sum();
			var total3= api.column(3).data().sum();
			totalt		= number_format(total*1,2);
			totalt2		= number_format(total2*1,2);
			totalt3		= number_format(total3*1,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(0).footer()).html('Total:');
			$(api.column(1).footer()).html('<div align="right">'+totalt+'</div>');
			$(api.column(2).footer()).html('<div align="right">'+totalt2+'</div>');
			$(api.column(3).footer()).html('<div align="right">'+totalt3+'</div>');
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[1,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	comisionpersonala(idpagocomisiones);
}

function comisionventa(idpagocomisiones){
	//console.log('Estamos en listara y almacen:'+idalmacen1);
	tabla=$('#tbcomisionventa').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		"bPaginate": false, //hide pagination
    "bFilter": false, //hide Search bar
    "bInfo": false, // hide showing entries
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
			{
				text: 'Excel',
				extend: 'excelHtml5',
				filename: 'Vendedores Comisión',
				//orientation: 'landscape', //portrait
				//pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: '',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			},
			{
				text: 'PDF',
				extend: 'pdfHtml5',
				filename: 'Vendedores Comisión',
				orientation: 'landscape', //portrait
				pageSize: 'A4', //A3 , A5 , A6 , legal , letter
				title: 'Detalle de Comisión',
				exportOptions: {
					columns: ':visible',
					search: 'applied',
					order: 'applied'
				},
			}
		],
		"ajax":
		{
			url:'controladores/pagocomisionesControlador.php?op=comisionventa',
			type: "post",
			data: {
				idpagocomisiones : idpagocomisiones
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		"drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
		//	var tactual	= api.column(3, {page:'current'}).data().sum();
			var total	= api.column(6).data().sum();
			var total2= api.column(7).data().sum();
			var total3= api.column(9).data().sum();
			var total4= api.column(11).data().sum();
			
			totalts		= total*1;
			totalt		= number_format(total*1,2);
			total2s		= total2*1;
			totalt2		= number_format(total2*1,2);
			totalt2p	= number_format((total2s*1/totalts)*100,2);
			total3s		= total3*1;
			totalt3		= number_format(total3*1,2);
			totalt3p	= number_format((total3s*1/totalts)*100,2);
			total4s	= total4*1;
			totalt4		= number_format(total4*1,2);
			totalt4p		= number_format((total4s*1/totalts)*100,2);
			/* $(api.column(4).footer()).html('Total Actual:');
			$(api.column(5).footer()).html(tactual); */
			$(api.column(0).footer()).html('Total:');
			$(api.column(6).footer()).html('<div align="right">'+totalt+'</div>');
			$(api.column(7).footer()).html('<div align="right">'+totalt2+'</div>');
			$(api.column(8).footer()).html('<div align="center">'+totalt2p+'%</div>');
			$(api.column(9).footer()).html('<div align="right">'+totalt3+'</div>');
			$(api.column(10).footer()).html('<div align="center">'+totalt3p+'%</div>');
			$(api.column(11).footer()).html('<div align="right">'+totalt4+'</div>');
			$(api.column(12).footer()).html('<div align="center">'+totalt4p+'%</div>');
		},
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	comisionvendedor(idpagocomisiones);
	//$('#myModalcomision').modal('show');
}



//funcion para desactivar
function eliminar(idpersona){
	bootbox.confirm("¿Esta seguro de eliminar este dato?", function(result){
		if (result) {

			$.post("controladores/personaControlador.php?op=eliminar", {idpersona : idpersona }, function(e){
				bootbox.alert(e);
				tabla.ajax.reload();
			});
		}
	})
}

//cancelar form
function cancelarform(){
	limpiar();
	mostrarform(false);
}


/* function change_checkboxc(id,el){
	//var monto1				=	document.getElementsByName("montod[]");
	var monto1						=	document.getElementsByName("montodd[]");
	var ventavalido				=	document.getElementsByName("ventavalido[]");
	var idventa						=	document.getElementsByName("idventa[]");
	var cobrar						= document.getElementsByName('cobrar[]');
	var num_comprobante1	= document.getElementsByName('num_comprobante1[]');
	var montoventa		=	document.getElementById("montoventa").value;
	var montoventasin	=	document.getElementById("montoventasin").value;
	var montocomision	=	document.getElementById("montocomision").value;
	var montof 				= monto1[id].value;
	var montofs 			= monto1[id].value;
	var montoc 				= cobrar[id].value;
	var montocs 			= cobrar[id].value;
	var totalf				=	0;
	var totalfs				= 0;*/

/* Convertir a numerico para hacer los calculo
	totalmontoventa			= 	numero(montoventa);
	totalmontoventas		= 	numero(montoventasin);
	totalmontocomision	= 	numero(montocomision);
	montof 							= 	numero(montof);
	montofs 						= 	numero(montofs);
	montoc 							= 	numero(montoc);
	totalf 							= 	totalmontoventa;
	totalfs 						= 	totalmontoventas;
	totalc 							= 	totalmontocomision;
	//console.log('Antes totalmontoventa: '+totalmontoventa+' seleccion: '+montof);
	if (el.checked){
		totalf 	= totalf + 	montof;
		totalc 	= totalc + 	montoc;
		//totalfs =	totalfs + montofs;
		if (cobrar[el.value].value=='si') {
			totalfs =	totalfs*1 + montofs*1;
		} else {
			totalfs =	totalfs*1 + 0;
		} 
		ventavalido[el.value].value='si';
		//console.log('checked-totalf: '+totalf);
			
	}else{
		totalf 	= totalf - 	montof;
		totalc 	= totalc - 	montoc;
		if (cobrar[el.value].value=='si') {
			totalfs =	totalfs - 	montofs;
		} else {
			totalfs =	totalfs - 	0;
		}
		ventavalido[el.value].value='no';
		//console.log('nochecked-totalf: '+totalf);
	}
	montof 		= 	number_format(totalf,2);
	montofs 	= 	number_format(totalfs,2);
	montoc 		= 	number_format(totalc,2);
	$("#montoventa").val(montof);
	$("#montoventasin").val(montofs);
	$("#montocomision").val(montoc);
	console.log('Despues totalcomision:: '+montof);
	for (var i = 0, j = ventavalido.length; i < j; i++) {
		console.log('ventavalido[] '+'i: '+i+' Valor: '+ventavalido[i].value);
		console.log('idventa[] '+'i: '+i+' Valor: '+idventa[i].value);
		console.log('num_comprobante1[] '+'i: '+i+' Valor: '+num_comprobante1[i].value);
	} 
	calculacomision(el.value);
} */

/* 
function change_checkboxv(id,el){
	console.log('Cambio y posisicion es: '+el.value);
	var ventavalido			=	document.getElementsByName("ventavalido[]");
	var venta 					= document.getElementsByName('venta[]');
	var cobranza 				= document.getElementsByName('cobranza[]');
	var comision 				= document.getElementsByName('totalcomision[]');
	var idvendedor1v		= document.getElementsByName('idvendedor1[]');
	var porcentajeventa	= document.getElementsByName('porcentajeventa[]');
	
	for (var i = 0, j = idvendedor1v.length; i < j; i++) {
		comision[i].value 				= number_format(0,2);
		venta[i].value 						= number_format(0,2);
		cobranza[i].value 				= number_format(0,2);
		porcentajeventa[i].value 	= number_format(0,2);
	}

	for (var i = 0, j = ventavalido.length; i < j; i++) {
		if (ventavalido[i].value=='si'){
			calculacomision(i);
		}
	}
} 

function change_checkboxv1(id,el){
	console.log('Cambio y posisicion es: '+el.value);
	var ventavalido			=	document.getElementsByName("ventavalido[]");
	var venta 					= document.getElementsByName('venta1[]');
	var cobranza 				= document.getElementsByName('cobranza1[]');
	var comision 				= document.getElementsByName('totalcomision1[]');
	var idvendedor1v		= document.getElementsByName('idvendedor11[]');
	var porcentajeventa	= document.getElementsByName('porcentajeventa[]');
	
	for (var i = 0, j = idvendedor1v.length; i < j; i++) {
		comision[i].value 				= number_format(0,2);
		venta[i].value 						= number_format(0,2);
		cobranza[i].value 				= number_format(0,2);
		porcentajeventa[i].value 	= number_format(0,2);
	}

	for (var i = 0, j = ventavalido.length; i < j; i++) {
		if (ventavalido[i].value=='si'){
			calculacomision(i);
		}
	}
}

function calculacomision(posicion) {
		var idvendedorv							=	document.getElementsByName('idvendedorv[]');
	var idvendedor1v						= document.getElementsByName('idvendedor1[]');
	//	console.log('posicion: '+posicion+' y idvendedor1v[posicion].value: '+idvendedor1v[posicion].value)
	var suma 										= 0;
	var checks 									= document.getElementsByName('idvendedor[]');
	var checks1 								= document.getElementsByName('idvendedorp[]');
	
	var vendedornombre					= document.getElementsByName('vendedornombre[]');
	var cobrar									= document.getElementsByName('cobrar[]');
	var venta 									= document.getElementsByName('venta[]');
	var porcentajeventa					= document.getElementsByName('porcentajeventa[]');
	var venta1 									= document.getElementsByName('venta1[]');
	var cobranza 								= document.getElementsByName('cobranza[]');
	var cobranza1 							= document.getElementsByName('cobranza1[]');
	var totalcomision 					= document.getElementsByName('totalcomision[]');
	var totalcomision1 					= document.getElementsByName('totalcomision1[]');
	var personavalido 					= document.getElementsByName('vendedorvalido[]');
	var personavalido1 					= document.getElementsByName('vendedorvalido1[]');
	var comisionventa1 					= document.getElementsByName('comisionventa1[]');
	var comisionventa2 					= document.getElementsByName('comisionventa2[]');
	var comisionventa3 					= document.getElementsByName('comisionventa3[]');
	var comisionventa4 					= document.getElementsByName('comisionventa4[]');
	var comisionventa5 					= document.getElementsByName('comisionventa5[]');
	var comisionventa11 				= document.getElementsByName('comisionventa11[]');
	var comisionventa21 				= document.getElementsByName('comisionventa21[]');
	var comisionventa31 				= document.getElementsByName('comisionventa31[]');
	var comisionventa41 				= document.getElementsByName('comisionventa41[]');
	var comisionventa51 				= document.getElementsByName('comisionventa51[]');
	var comisioncobranza1 			= document.getElementsByName('comisioncobranza1[]');
	var comisioncobranza2 			= document.getElementsByName('comisioncobranza2[]');
	var comisioncobranza3 			= document.getElementsByName('comisioncobranza3[]');
	var comisioncobranza4 			= document.getElementsByName('comisioncobranza4[]');
	var comisioncobranza5 			= document.getElementsByName('comisioncobranza5[]');
	var comisioncobranza11 			= document.getElementsByName('comisioncobranza11[]');
	var comisioncobranza21 			= document.getElementsByName('comisioncobranza21[]');
	var comisioncobranza31 			= document.getElementsByName('comisioncobranza31[]');
	var comisioncobranza41 			= document.getElementsByName('comisioncobranza41[]');
	var comisioncobranza51 			= document.getElementsByName('comisioncobranza51[]');
	var montoventa							=	document.getElementById("montoventa").value;
	var montoventas							= document.getElementById("montoventasin").value;
	var totalmontoventa					= numero(montoventa);
	var totalmontoventas				= numero(montoventas);
	
	
	
	
	//Vendedores
	//var totalporjecomision1 	= document.getElementById("porcentajecomisionv").value;
	var totalporjecomision1c	= document.getElementById("porcentajecomisionc").value;
	//console.log('totalporjecomision1c: '+totalporjecomision1c);
	//	var totalporcentajecomision1 	=numero(totalporjecomision1);
	var totalporcentajecomision1 	=0;
	var totalporjecomision1 			=0; 
	var totalporcentajecomision1c =numero(totalporjecomision1c);
	//console.log('totalporcentajecomision1c: '+totalporcentajecomision1c);
	var totalcomisionpagadav1			= 0;
	var totalcomisionpagadac1			= 0;
	var ventavalido								=	document.getElementsByName("ventavalido[]");
	var	montodocumento						= document.getElementsByName("montodd[]");
	var diasdecredimport 					= document.getElementsByName("discobranza[]");


	for (var i = 0, j = checks.length; i < j; i++) {personavalido[i].value='no'; if(checks[i].checked == true){ personavalido[i].value='si'; suma++;}}
	if(suma == 0){ alert('Debes seleccionar un Vendedor'); return false;}
	for (var i = 0, j = checks.length; i < j; i++) {
		var comisionventa1v 		= comisionventa1[i].value;
		var totalcomision1v 		= numero(venta[i].value);
		var totalporjecomision1	= numero(porcentajeventa[i].value)
		var totalcomision1vs 		= 0;
		var porcentajecomision1	= 0;
		
		//sI VENDEDOR ESTA SELECCIONADO
		if(checks[i].checked == true){
			//totalcomision1v 				= (totalmontoventa)* (comisionventa1v/100);
			totalcomision1vs 				= (totalmontoventas)*(comisionventa1v/100);
			var calculocomision1v		= 0;
			porcentajecomision1 		= 0;
			
			//Se verifica si el documento seleccionado sé corresponde con el vendedor para realizar el calcúlo de
			//correspondien con el % de comisión 
			if (idvendedorv[posicion].value==idvendedor1v[i].value) {
				calculocomision1v 	= numero((montodocumento[posicion].value))*(comisionventa1v/100);
				porcentajecomision1 = (comisionventa1v/100)*1;
				
			}else{
				calculocomision1v 	= 0;
				porcentajecomision1 = 0;
			}
			console.log('totalporjecomision1 :'+totalporjecomision1+' porcentajecomision1: '+porcentajecomision1)
			//Ahora verificamos si el documento fue seleccionado o no 
			if (ventavalido[posicion].value=='si') {
				totalcomision1v					=	totalcomision1v + calculocomision1v;
				totalporjecomision1			= totalporjecomision1 + porcentajecomision1
			}else{
				totalcomision1v					=	totalcomision1v - calculocomision1v;
				totalporjecomision1			= totalporjecomision1 - porcentajecomision1
				//totalporcentajecomision1= totalporcentajecomision1 - porcentajecomision1
			}
			console.log('totalporjecomision1 :'+totalporjecomision1),
			venta[i].value						= number_format(totalcomision1v,2)
			porcentajeventa[i].value	= number_format(totalporjecomision1,2)

			//console.log('vendedornombre[i].value: '+vendedornombre[i].value);
			console.log('vendedornombre[i].value: '+vendedornombre[i].value);
		 	if (vendedornombre[i].value=='HERNAN MONTALVO') {
				if (ventavalido[posicion].value=='si') {
					venta[i].value					= number_format(totalcomision1vs,2);
				}else{
					venta[i].value					= 0;
				}
			//	totalcomision[i].value 	= number_format(totalcomision1vs,2);
			} else {
				venta[i].value					= number_format(totalcomision1v,2);
			//	totalcomision[i].value 	= number_format(totalcomision1v,2);
			} 
		
			//Se verifica la cobranza
			var comisioncobranza1c 	= comisioncobranza1[i].value;
			var comisioncobranza2c 	= comisioncobranza2[i].value;
			var comisioncobranza3c 	= comisioncobranza3[i].value;
			var comisioncobranza4c 	= comisioncobranza4[i].value;
			var totalcomision1c 		= numero(cobranza[i].value);
			var calculocomision1c		= 0;
			var porcentajecobranza	= 0;
			console.log('idvendedorv[posicion].value: '+idvendedorv[posicion].value+' idvendedor1v[i].value:'+idvendedor1v[i].value)
			if (idvendedorv[posicion].value==idvendedor1v[i].value) {
				console.log('iguales '+'diasdecredimport[posicion].value: '+diasdecredimport[posicion].value);
				if (diasdecredimport[posicion].value<=21) {
					calculocomision1c			=	numero((montodocumento[posicion].value))*(comisioncobranza1c/100);
					porcentajecobranza		= comisioncobranza1c*1;
				}else{
					if (diasdecredimport[posicion].value>21&&diasdecredimport[posicion].value<=30) {
						calculocomision1c			=	numero((montodocumento[posicion].value))*(comisioncobranza2c/100);
						porcentajecobranza		= comisioncobranza2c*1;
					}else{
						if (diasdecredimport[posicion].value>31&&diasdecredimport[posicion].value<=45) {
							calculocomision1c			=	numero((montodocumento[posicion].value))*(comisioncobranza3c/100);
							porcentajecobranza		= comisioncobranza3c*1;
						}else{
							calculocomision1c			=	numero((montodocumento[posicion].value))*(comisioncobranza4c/100);
							porcentajecobranza		= comisioncobranza3c*1;
						}
					}
				}	
				console.log('porcentajecobranza: '+porcentajecobranza);
				if (ventavalido[posicion].value=='si') {
					totalcomision1c						= totalcomision1c + calculocomision1c;
					totalporcentajecomision1c	= totalporcentajecomision1c + porcentajecobranza;
				}else{
					totalcomision1c						= totalcomision1c - calculocomision1c;
					totalporcentajecomision1c	= totalporcentajecomision1c - porcentajecobranza;
				}
				console.log('totalporcentajecomision1c: '+totalporcentajecomision1c);
				if (totalcomision1c<=0){
					cobranza[i].value		=number_format(0,2);
				}else{
					cobranza[i].value		= number_format(totalcomision1c*1,2);
				}
			} 
			totalcomision[i].value = number_format((numero(venta[i].value) + numero(cobranza[i].value)),2)	
		}else{
			totalcomision[i].value 	= number_format(0,2);
			venta[i].value 					= number_format(0,2);
			cobranza[i].value 			= number_format(0,2);
		}
		totalcomisionpagadav1		= totalcomisionpagadav1 + numero(venta[i].value); 
		totalcomisionpagadac1		= totalcomisionpagadac1 + numero(cobranza[i].value);
		totalporcentajecomision1= totalporcentajecomision1 + numero(porcentajeventa[i].value);

	}


	

	//Personal Administrativo
	var totalporcentajecomision2 	= 0;
	var totalporcentajecomision2c	= 0;
	var totalcomisionpagadav2			= 0;
	var totalcomisionpagadac2			= 0;
	
	for (var i = 0, j = checks1.length; i < j; i++) {	personavalido1[i].value='no';	if(checks1[i].checked == true){	personavalido1[i].value='si';	suma++;	}}
	if(suma == 0){ alert('Debes seleccionar Una Personal Administrativo'); return false; }
	for (var i = 0, j = checks1.length; i < j; i++) {
		var comisionventa1v 	= comisionventa11[i].value;
		var totalcomision11v 	= 0;
		if(checks1[i].checked == true){
			totalcomision11v 				= (totalmontoventa)*(comisionventa1v/100);
			totalcomisionpagadav2		= totalcomisionpagadav2 + totalcomision11v;
		 	totalporcentajecomision2= totalporcentajecomision2 + (comisionventa1v/100)*1; 
			totalcomision1[i].value = number_format(totalcomision11v,2);
			venta1[i].value					= number_format(totalcomision11v,2);
		}else{
			totalcomision1[i].value = number_format(0,2);
			
		}
	}
	var nrodocu = 0;
	for (var i = 0, j = ventavalido.length; i < j; i++) {
		if (ventavalido[i].value=='si') {
			nrodocu = 1;
			break
		}	
	}
	if (nrodocu==0){
		totalporcentajecomision2 = 0;
	}
	 	
	//Totales
	//totalporcentajecomision1c
	$("#porcentajecomisionc").val(number_format(totalporcentajecomision1c+totalporcentajecomision2c,2));
	$("#porcentajecomisionv").val(number_format((totalporcentajecomision1+totalporcentajecomision2)*100,2));
	$("#montocomisionv").val(number_format(totalcomisionpagadav1+totalcomisionpagadav2,2));
	$("#montocomisionc").val(number_format(totalcomisionpagadac1+totalcomisionpagadac2,2));
	$("#montocomision").val(number_format(totalcomisionpagadav1+totalcomisionpagadav2+totalcomisionpagadac1+totalcomisionpagadac2,2));
	
	//<input type="text" style="text-align:right;width:80px" name="totalcomision[]" id="totalcomision[]" step="0.01" value="0,00" readonly="">
}

*/
// $valor = $cont.'-'.$reg->total_ventaimpuestod.'-'.$reg->idvendedor.'-'.$reg->discobranza.'-'.$reg->cobrar;
function idp(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[0];
}

function montop(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[1];
}

function idvendedorp(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[2];
}

function discobranzap(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[3];
}

function cobrarp(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[4];
}

function vendedorp(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[5];
}

function idventap(data) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[6];
}

function valor(data,p) {
	const arraySubcadenas = data.split("-");
	return arraySubcadenas[p];
}

function limpiavalidoidventa(data) {
	const ventavalido				=	document.getElementsByName("ventavalido[]");
	for (var i = 0, j = ventavalido.length; i < j; i++) {
		arraySubcadenas 	= ventavalido[i].value.split("-");
		if(arraySubcadenas[0]==data){
			ventavalido[i].value = 'no';
		}
	}
	
}

async function asignarventavalido() {
	const ventavalido				=	document.getElementsByName("ventavalido[]");
	console.log('ventavalido.length :',ventavalido.length);
	for (var i = 0, j = ventavalido.length; i < j; i++) {
		ventavalidoi[i] = 'no';
	}
	listarpersonal();
	listarpersonal2();
}

function buscarvaciovalido() {
	const ventavalido				=	document.getElementsByName("ventavalido[]");
	for (var i = 0, j = ventavalido.length; i < j; i++) {
		if(ventavalido[i].value=='no'){
			break;
		}
	}
	return i;
}






function change_checkboxc(id,el,idvendedor,montodd,vendedor,diacobranza,cobrarcxc){
	//var monto1				=	document.getElementsByName("montod[]");
	//var monto1						=	document.getElementsByName("montodd[]");
	/* var ventavalido				=	document.getElementsByName("ventavalido[]");
	var idventa						=	document.getElementsByName("idventa[]");
	var cobrar						= document.getElementsByName('cobrar[]');
	var num_comprobante1	= document.getElementsByName('num_comprobante1[]');
	let idvendedorv			=	document.getElementsByName('idvendedorv[]');
	var montoventa		=	document.getElementById("montoventa").value;
	var montoventasin	=	document.getElementById("montoventasin").value;
	var montocomision	=	document.getElementById("montocomision").value;
	var montof 				= monto1[id].value;
	var montofs 			= monto1[id].value;
	var montoc 				= cobrar[id].value;
	var montocs 			= cobrar[id].value;
	var totalf				=	0;
	var totalfs				= 0;
	//let data					= el.value;
	/* Convertir a numerico para hacer los calculo*/
	/*
	totalmontoventa			= 	numero(montoventa);
	totalmontoventas		= 	numero(montoventasin);
	totalmontocomision	= 	numero(montocomision);
	montof 							= 	numero(montof);
	montofs 						= 	numero(montofs);
	montoc 							= 	numero(montoc);
	totalf 							= 	totalmontoventa;
	totalfs 						= 	totalmontoventas;
	totalc 							= 	totalmontocomision; */
	
	
	console.log('data1: ',el.value); 
	idp1 					= idp(el.value);
	monto 				= montop(el.value);
	idvendedorp1 	= idvendedorp(el.value);
	discobranzap1	= discobranzap(el.value);
	cobrarp1 			= cobrarp(el.value);
	vendedorp1		= vendedorp(el.value);
	idventa1			= idventap(el.value);
	console.log('idp1: ',idp1,'monto: ',monto,'idvendedorp1: ',idvendedorp1,'discobranzap1: ',discobranzap1,'monto: ',cobrarp1,'vendedorp: ',vendedorp1,'idventa:',idventa1); 
	
	//console.log('data3: ',data3);
	//console.log('idvendor: ',idvendedorp);

	//console.log('Antes totalmontoventa: '+totalmontoventa+' seleccion: '+montof);
	let comisionv = 0;
	let comisiong = 0;
	let comisionp = 0;
	let comisionc = 0;
	let porv 			= 0;
	let porg 			= 0;
	let porp 			= 0;
	let porc 			= 0;
	let comosiovv ='';
	let comosiovvg='';
	let comosiovvc='';
	let comosiovvp='';
	
	if (el.checked){
		comosiovv		=comisioventasuma(idp1,idvendedor,montodd);
		comisionv		=valor(comosiovv,0);
		porv				=valor(comosiovv,1);
		//console.log('comosiovv:',comosiovv,'comisionv:',comisionv,'porv:',porv);
		comosiovvg	= comisioventagerentesuma(idp1,idvendedor,montodd,vendedor,cobrarcxc);
		comisiong		=valor(comosiovvg,0);
		porg				=valor(comosiovvg,1);
		comosiovvc	=comisiocobranzasuma(idp1,idvendedor,montodd,diacobranza); 
		comisionc		=valor(comosiovvc,0);
		porc				=valor(comosiovvc,1);
		//limpiavalidoidventa(idventa1);
		//if(ventavalido[idp1].value='no'){
			//ventavalido[idp1].value=idventa1+'-'+monto+'-'+idvendedorp1+'-'+comisionv+'-'+porv+'-'+comisiong+'-'+porg+'-'+comisionc+'-'+porc;
			ventavalidoi[idp1]=idventa1+'-'+monto+'-'+idvendedorp1+'-'+discobranzap1+'-'+comisionv+'-'+porv+'-'+comisiong+'-'+porg+'-'+comisionc+'-'+porc;
		//}else{
		//	id = buscarvaciovalido();
		//	ventavalido[idp1].value=idventa1+'-'+monto+'-'+idvendedorp1+'-'+comisionv+'-'+porv+'-'+comisiong+'-'+porg+'-'+comisionc+'-'+porc;
		//}
		
	}else{
		comisioventaquitar(idp1,idvendedor,montodd);
		comisioventagerentequitar(idp1,idvendedor,montodd,vendedor,cobrarcxc);
		comisiocobranzaquitar(idp1,idvendedor,montodd,diacobranza); 
		//ventavalido[idp1].value='no';
		ventavalidoi[idp1]='no';
		//limpiavalidoidventa(idventa1);
	}
	
	
	totalcomision();
	
	comosiovvp	=comisionpersonal(el.value);
	comisionp		=valor(comosiovvp,0);
	porp				=valor(comosiovvp,1);
	/* if(ventavalido[idp1].value!='no'){
		ventavalido[idp1].value=ventavalido[idp1].value+'-'+comisionp+'-'+porp;
	} */
	if(ventavalidoi[idp1]!='no'){
		ventavalidoi[idp1]=ventavalidoi[idp1]+'-'+comisionp+'-'+porp;
	}
	totalcomision(); 

	for (var i = 0, j = ventavalidoi.length; i < j; i++) {
		console.log('ventavalidoi[] '+'i: '+i+' Valor: '+ventavalidoi[i]);
	 //console.log('idventa[] '+'i: '+i+' Valor: '+idventa[i].value);
	 //console.log('num_comprobante1[] '+'i: '+i+' Valor: '+num_comprobante1[i].value); 
	 //console.log('idvendedorv[] '+'i: '+i+' vendedor: '+idvendedorv[i].value); 
	 
 }
	
	
}

function change_checkboxv(id,el){
	console.log('Cambio y posisicion es: ',el.value);
	console.log('id: ',id);
	let ventavalido			=	document.getElementsByName("ventavalido[]");
	let venta 					= document.getElementsByName('venta[]');
	let cobranza 				= document.getElementsByName('cobranza[]');
	let comision 				= document.getElementsByName('totalcomision[]');
	let idvendedor1v		= document.getElementsByName('idvendedor1[]');
	let porcentajeventa	= document.getElementsByName('porcentajeventa[]');
	let checks					= document.getElementsByName('iddocumento[]');
	let idvendedorv			=	document.getElementsByName('idvendedorv[]');
	let vendedornombre	= document.getElementsByName('vendedornombre[]');
	let vendedorvalido 	= document.getElementsByName('vendedorvalido[]');
	let idp1 					= 0;
	let	monto 				= 0;
	let	idvendedorp1 	= 0;
	let	discobranzap1	= 0;
	let	cobrarp1 			= '';
	let	vendedorp1		= ''; 
	
	if (el.checked){
		//Buscamos que documentos estan seleccionado para calular la comision del vendedor seleccionado
		for (var i = 0, j = checks.length; i < j; i++) {
			 
			if(checks[i].checked == true){
				//solo el vendedor que esta seleccionado
				if(idvendedorv[i].value==idvendedor1v[id].value){
					idp1 					= idp(checks[i].value);
					monto 				= montop(checks[i].value)*1;
					idvendedorp1 	= idvendedorp(checks[i].value);
					discobranzap1	= discobranzap(checks[i].value)*1;
					comisioventasuma(idp1,idvendedorp1,monto);
					comisiocobranzasuma(idp1,idvendedorp1,monto,discobranzap1);
					
				}
			}
		}
		//Ahora revisamos si el vendedor es el gerente
		if (vendedornombre[id].value=='HERNAN MONTALVO') {
			for (var i = 0, j = checks.length; i < j; i++) {
				if(checks[i].checked == true){
					idp1 					= idp(checks[i].value);
					monto 				= montop(checks[i].value)*1;
					idvendedorp1 	= idvendedorp(checks[i].value);
					cobrarp1 			= cobrarp(checks[i].value);
					vendedorp1		= vendedorp(checks[i].value);
					comisioventagerentesuma(idp1,idvendedorp1,monto,vendedorp1,cobrarp1);
				}
			}
		}
		vendedorvalido[id].value='si';	
	}else{
		venta[id].value				=0;
		cobranza[id].value		=0;
		porcentajeventa[id]		=0;
		vendedorvalido[id].value='no';
	}
	totalcomision();

}

function change_checkboxv1(id,el) {
	comisionpersonal(id);
	totalcomision();
}


function comisioventasuma(posicion,idvendedor,montodd) {
	let idvendedorv							=	idvendedor;
	let idvendedor1v						= document.getElementsByName('idvendedor1[]');
	let checks 									= document.getElementsByName('idvendedor[]');
	let venta 									= document.getElementsByName('venta[]');
	let porcentajeventa					= document.getElementsByName('porcentajeventa[]');
	let comisionventa1 					= document.getElementsByName('comisionventa1[]');	let comisionventa2 					= document.getElementsByName('comisionventa2[]');	let comisionventa3 					= document.getElementsByName('comisionventa3[]');	let comisionventa4 					= document.getElementsByName('comisionventa4[]');	let comisionventa5 					= document.getElementsByName('comisionventa5[]');
	let	montodocumento					= montodd;
	let vendedorvalido 					= document.getElementsByName('vendedorvalido[]');
	let calculocomision1v 			= 0;
	let porcentajecomision1 		= 0;
	let comision								= 0+'-'+0;
	//calculamos la comisio del vendedor para el documento seleccionado
	for (var i = 0, j = checks.length; i < j; i++) {
		//Verificamos si el vendedor esta seleccionado
		if(checks[i].checked == true){
			//Ahora vemos si el vededor se corresponde con el documento seleccionado
			if (idvendedorv==idvendedor1v[i].value) {
				calculocomision1v 	= ((montodocumento*1)*(comisionventa1[i].value/100)).toFixed(2);
				porcentajecomision1 = (comisionventa1[i].value/100)*1;
				comision 						= calculocomision1v+'-'+porcentajecomision1*100;
			}else{
				calculocomision1v 	= 0;
				porcentajecomision1 = 0;
			}
			venta[i].value						= number_format(numero(venta[i].value)*1+calculocomision1v*1,2);
			porcentajeventa[i].value	= number_format(numero(porcentajeventa[i].value)+porcentajecomision1,2);
			vendedorvalido[i].value='si';
			
		}else{
			vendedorvalido[i].value='no';
			
		}
	}
	return comision;

}

function comisioventaquitar(posicion,idvendedor,montodd) {
	let idvendedorv							=	idvendedor;
	let idvendedor1v						= document.getElementsByName('idvendedor1[]');
	let checks 									= document.getElementsByName('idvendedor[]');
	let venta 									= document.getElementsByName('venta[]');
	let porcentajeventa					= document.getElementsByName('porcentajeventa[]');
	let comisionventa1 					= document.getElementsByName('comisionventa1[]');	let comisionventa2 					= document.getElementsByName('comisionventa2[]');	let comisionventa3 					= document.getElementsByName('comisionventa3[]');	let comisionventa4 					= document.getElementsByName('comisionventa4[]');	let comisionventa5 					= document.getElementsByName('comisionventa5[]');
	let	montodocumento					= montodd;
	let calculocomision1v 			= 0;
	let porcentajecomision1 		= 0;
	//calculamos la comisio del vendedor para el documento seleccionado
	for (var i = 0, j = checks.length; i < j; i++) {
		//Verificamos si el vendedor esta seleccionado
		if(checks[i].checked == true){
			//Ahora vemos si el vededor se corresponde con el documento seleccionado
			if (idvendedorv==idvendedor1v[i].value) {	
				calculocomision1v 	= ((montodocumento*1)*(comisionventa1[i].value/100)).toFixed(2);
				porcentajecomision1 = (comisionventa1[i].value/100)*1;	
			}else{
				calculocomision1v 	= 0;
				porcentajecomision1 = 0;
			}
			//console.log('venta[i].value	: ',venta[i].value	);
			venta[i].value						= number_format(numero(venta[i].value)-calculocomision1v,2);
			//console.log('venta[i].value	: ',venta[i].value	);
			porcentajeventa[i].value	= number_format(numero(porcentajeventa[i].value)-porcentajecomision1,2)
		} 
	}

}

function comisioventagerentesuma(posicion,idvendedor,montodd,vendedor,cobrarcxc) {

	let idvendedorv							=	idvendedor;
	let idvendedor1v						= document.getElementsByName('idvendedor1[]');
	let checks 									= document.getElementsByName('idvendedor[]');
	let vendedornombre					= document.getElementsByName('vendedornombre[]');
	let cobrar									= cobrarcxc;
	let venta 									= document.getElementsByName('venta[]');
	let porcentajeventa					= document.getElementsByName('porcentajeventa[]');
	let comisionventa1 					= document.getElementsByName('comisionventa1[]');	let comisionventa2 					= document.getElementsByName('comisionventa2[]');	let comisionventa3 					= document.getElementsByName('comisionventa3[]');	let comisionventa4 					= document.getElementsByName('comisionventa4[]');	let comisionventa5 					= document.getElementsByName('comisionventa5[]');
	let	montodocumento					= montodd;
	let calculocomision1v 			= 0;
	let porcentajecomision1 		= 0;
	let comision								= 0+'-'+0;
	//calculamos la comisio del vendedor para el documento seleccionado
	for (var i = 0, j = checks.length; i < j; i++) {
		//buscamos el gerente
		
		//console.log('vendedornombre[i].value: '+vendedornombre[i].value);
		//console.log('cobrar: '+cobrar);
		//console.log('posicion: '+posicion);
		if (vendedornombre[i].value=='HERNAN MONTALVO') {
			if (cobrar=='si') {
				//console.log('montodocumento: '+montodocumento);
				//console.log('comisionventa1[i].value: '+comisionventa1[i].value);
				calculocomision1v 	= ((montodocumento)*(comisionventa1[i].value/100)).toFixed(2);
				//console.log('calculocomision1v: '+calculocomision1v);
				porcentajecomision1 = (comisionventa1[i].value/100)*1;
				comision 						= calculocomision1v+'-'+porcentajecomision1*100;
			}else{
				calculocomision1v 	= 0;
				porcentajecomision1 = 0;
			}
			//Verificamos si el vendedor esta seleccionado
			/* console.log('1 - venta[i].value: '+venta[i].value);
			console.log('checks[i].checked: '+checks[i].checked);
			console.log('calculocomision1v: '+calculocomision1v); */
			if(checks[i].checked == true){
				/* console.log('2 -venta[i].value: '+venta[i].value); */
				venta[i].value = numero((venta[i].value))*1;
				/* console.log('3 -venta[i].value: '+venta[i].value); */
				venta[i].value = venta[i].value*1+calculocomision1v*1;
				/* console.log('4 -venta[i].value: '+venta[i].value); */
				venta[i].value = number_format(venta[i].value,2);
				/* console.log('5 -venta[i].value: '+venta[i].value); */
				porcentajeventa[i].value	= number_format(numero(porcentajeventa[i].value)+porcentajecomision1,2)
			} 
		}
	}
	return comision;

}

function comisioventagerentequitar(posicion,idvendedor,montodd,vendedor,cobrarcxc) {
	//iddocumento

let idvendedorv							=	idvendedor;
let idvendedor1v						= document.getElementsByName('idvendedor1[]');
let checks 									= document.getElementsByName('idvendedor[]');
let vendedornombre					= document.getElementsByName('vendedornombre[]');
let cobrar									= cobrarcxc;
let venta 									= document.getElementsByName('venta[]');
let porcentajeventa					= document.getElementsByName('porcentajeventa[]');
let comisionventa1 					= document.getElementsByName('comisionventa1[]');	let comisionventa2 					= document.getElementsByName('comisionventa2[]');	let comisionventa3 					= document.getElementsByName('comisionventa3[]');	let comisionventa4 					= document.getElementsByName('comisionventa4[]');	let comisionventa5 					= document.getElementsByName('comisionventa5[]');
let	montodocumento					= montodd;
let calculocomision1v 			= 0;
let porcentajecomision1 		= 0;

//calculamos la comision del vendedor para el documento seleccionado
for (var i = 0, j = checks.length; i < j; i++) {
	//buscamos el gerente
	
	//console.log('vendedornombre[i].value: '+vendedornombre[i].value);
	//console.log('cobrar: '+cobrar);
	//console.log('posicion: '+posicion);
	if (vendedornombre[i].value=='HERNAN MONTALVO') {
		if (cobrar=='si') {
			//console.log('montodocumento: '+montodocumento);
			//console.log('comisionventa1[i].value: '+comisionventa1[i].value);
			calculocomision1v 	= ((montodocumento)*(comisionventa1[i].value/100)).toFixed(2);
			//console.log('calculocomision1v: '+calculocomision1v);
			porcentajecomision1 = (comisionventa1[i].value/100)*1;
		}else{
			calculocomision1v 	= 0;
			porcentajecomision1 = 0;
		}
		//Verificamos si el vendedor esta seleccionado
		/**/ 
		//console.log('1 - venta[i].value: '+venta[i].value);
		//console.log('checks[i].checked: '+checks[i].checked);
		//console.log('calculocomision1v: '+calculocomision1v); 
		if(checks[i].checked == true){
			/* */console.log('2 -venta[i].value: '+venta[i].value); 
			venta[i].value = numero((venta[i].value))*1;
			/**/ console.log('3 -venta[i].value: '+venta[i].value); 
			venta[i].value = venta[i].value*1-calculocomision1v*1;
			/**/ console.log('4 -venta[i].value: '+venta[i].value); 
			venta[i].value = number_format(venta[i].value,2);
			/**/ console.log('5 -venta[i].value: '+venta[i].value); 
			porcentajeventa[i].value	= number_format(numero(porcentajeventa[i].value)-porcentajecomision1,2)
		} 
	}
}


}

function comisiocobranzasuma(posicion,idvendedor,montodd,diacobranza) {

	let idvendedorv								=	idvendedor;
	let idvendedor1v							= document.getElementsByName('idvendedor1[]');
	let checks 										= document.getElementsByName('idvendedor[]');
	let cobranza 									= document.getElementsByName('cobranza[]');
	let comisioncobranza1 				= document.getElementsByName('comisioncobranza1[]');
	let comisioncobranza2 				= document.getElementsByName('comisioncobranza2[]');let comisioncobranza3 			= document.getElementsByName('comisioncobranza3[]');let comisioncobranza4 			= document.getElementsByName('comisioncobranza4[]');let comisioncobranza5 			= document.getElementsByName('comisioncobranza5[]');
	let totalporjecomision1c			= document.getElementById("porcentajecomisionc").value;
	let totalporcentajecomision1c = numero(totalporjecomision1c);
	let	montodocumento						= montodd*1;
	let diasdecredimport 					= diacobranza*1;
	let comisioncobranza1c 	= 0;
	let comisioncobranza2c 	= 0;
	let comisioncobranza3c 	= 0;
	let comisioncobranza4c 	= 0;
	let totalcomision1c 		= 0;
	let calculocomision1c		= 0;
	let porcentajecobranza	= 0;
	let comision						= 0+'-'+0;

	for (var i = 0, j = checks.length; i < j; i++) {
		comisioncobranza1c 	= comisioncobranza1[i].value;
		comisioncobranza2c 	= comisioncobranza2[i].value;
		comisioncobranza3c 	= comisioncobranza3[i].value;
		comisioncobranza4c 	= comisioncobranza4[i].value;
		totalcomision1c 		= numero(cobranza[i].value);
		calculocomision1c		= 0;
		porcentajecobranza	= 0;
		//Verificamos si el vendedor esta seleccionado
		if(checks[i].checked == true){
			//console.log('idvendedorv: '+idvendedorv+' idvendedor1v[i].value:'+idvendedor1v[i].value)
				if (idvendedorv==idvendedor1v[i].value) {
					console.log('iguales -- diasdecredimport: ',diasdecredimport);
					if (diasdecredimport<=21) {
						//calculocomision1c			=	((montodocumento[posicion].value*1)*(comisioncobranza1c*1/100)).toFixed(4);
						porcentajecobranza		= comisioncobranza1c*1;
					}else{
						if (diasdecredimport>=22&&diasdecredimport<=30) {
							//calculocomision1c			=	((montodocumento[posicion].value*1)*(comisioncobranza2c*1/100)).toFixed(4);
							porcentajecobranza		= comisioncobranza2c*1;
						}else{
							if (diasdecredimport>=31&&diasdecredimport<=44) {
								//calculocomision1c			=	((montodocumento[posicion].value*1)*(comisioncobranza3c*1/100)).toFixed(4);
								porcentajecobranza		= comisioncobranza3c*1;
							}else{
								//calculocomision1c			=	((montodocumento[posicion].value*1)*(comisioncobranza4c*1/100)).toFixed(4);
								porcentajecobranza		= comisioncobranza4c*1;
							}
						}
					}	
					calculocomision1c  = (montodocumento)*porcentajecobranza/100;
					//console.log('numero((montodocumento[posicion].value)): ',(montodocumento));
					//console.log('calculocomision1c: '+calculocomision1c);
					//console.log('porcentajecobranza: '+porcentajecobranza);
					prueba = (montodocumento)*porcentajecobranza/100;
					//console.log('prueba: ',prueba);
					comision 	= calculocomision1c*1+'-'+porcentajecobranza*1;

					totalcomision1c						= totalcomision1c + calculocomision1c*1;
					totalporcentajecomision1c	= totalporcentajecomision1c + porcentajecobranza*1;
				
					//console.log('totalcomision1c	: '+totalcomision1c);
					//console.log('totalporcentajecomision1c: '+totalporcentajecomision1c);

					if (totalcomision1c<=0){
						cobranza[i].value		=number_format(0,2);
					}else{
						cobranza[i].value		= number_format(totalcomision1c*1,2);
					}
				} 
		} 
	}
	return comision;

}

function comisiocobranzaquitar(posicion,idvendedor,montodd,diacobranza) {
	
	let idvendedorv								=	idvendedor;
	let idvendedor1v							= document.getElementsByName('idvendedor1[]');
	let checks 										= document.getElementsByName('idvendedor[]');
	let cobranza 									= document.getElementsByName('cobranza[]');
	let comisioncobranza1 				= document.getElementsByName('comisioncobranza1[]');let comisioncobranza2 			= document.getElementsByName('comisioncobranza2[]');let comisioncobranza3 			= document.getElementsByName('comisioncobranza3[]');let comisioncobranza4 			= document.getElementsByName('comisioncobranza4[]');let comisioncobranza5 			= document.getElementsByName('comisioncobranza5[]');
	let totalporjecomision1c			= document.getElementById("porcentajecomisionc").value;
	let totalporcentajecomision1c = numero(totalporjecomision1c);
	let	montodocumento						= montodd*1;
	let diasdecredimport 					= diacobranza*1;
	let comisioncobranza1c 	= 0;
	let comisioncobranza2c 	= 0;
	let comisioncobranza3c 	= 0;
	let comisioncobranza4c 	= 0;
	let totalcomision1c 		= 0;
	let calculocomision1c		= 0;
	let porcentajecobranza	= 0;

	for (var i = 0, j = checks.length; i < j; i++) {
		comisioncobranza1c 	= comisioncobranza1[i].value;
		comisioncobranza2c 	= comisioncobranza2[i].value;
		comisioncobranza3c 	= comisioncobranza3[i].value;
		comisioncobranza4c 	= comisioncobranza4[i].value;
		totalcomision1c 		= numero(cobranza[i].value);
		calculocomision1c		= 0;
		porcentajecobranza	= 0;
		//Verificamos si el vendedor esta seleccionado
		if(checks[i].checked == true){
			//console.log('idvendedorv: '+idvendedorv+' idvendedor1v[i].value:'+idvendedor1v[i].value)
				if (idvendedorv==idvendedor1v[i].value) {
					console.log('iguales diasdecredimport: '+diasdecredimport);
					if (diasdecredimport<=21) {
						//calculocomision1c			=	((montodocumento[posicion].value)*(comisioncobranza1c/100)).toFixed(2);
						porcentajecobranza		= comisioncobranza1c*1;
					}else{
						if (diasdecredimport>=22&&diasdecredimport<=30) {
							//calculocomision1c			=	((montodocumento[posicion].value)*(comisioncobranza2c/100)).toFixed(2);
							porcentajecobranza		= comisioncobranza2c*1;
						}else{
							if (diasdecredimport>=31&&diasdecredimport<=44) {
								//calculocomision1c			=	((montodocumento[posicion].value)*(comisioncobranza3c/100)).toFixed(2);
								porcentajecobranza		= comisioncobranza3c*1;
							}else{
								//calculocomision1c			=	((montodocumento[posicion].value)*(comisioncobranza4c/100)).toFixed(2);
								porcentajecobranza		= comisioncobranza4c*1;
							}
						}
					}	
					calculocomision1c  = (montodocumento)*porcentajecobranza/100;
					//console.log('numero((montodocumento[posicion].value)): ',(montodocumento));
					//console.log('calculocomision1c: '+calculocomision1c);
					//console.log('porcentajecobranza: '+porcentajecobranza);
					prueba = (montodocumento)*porcentajecobranza/100;
					//console.log('prueba: ',prueba);
					
					totalcomision1c						= totalcomision1c - calculocomision1c*1;
					totalporcentajecomision1c	= totalporcentajecomision1c - porcentajecobranza*1;
				
					//console.log('totalcomision1c	: '+totalcomision1c);
					//console.log('totalporcentajecomision1c: '+totalporcentajecomision1c);

					if (totalcomision1c<=0){
						cobranza[i].value		=number_format(0,2);
					}else{
						cobranza[i].value		= number_format(totalcomision1c*1,2);
					}
				} 
		} 
	}


}

function comisionpersonal(posicion) {

	let suma 										= 0;
	let checks1 								= document.getElementsByName('idvendedorp[]');
	let venta1 									= document.getElementsByName('venta1[]');
	let cobranza1 							= document.getElementsByName('cobranza1[]');
	let totalcomision1 					= document.getElementsByName('totalcomision1[]');
	let personavalido1 					= document.getElementsByName('vendedorvalido1[]');
	let comisionventa11 				= document.getElementsByName('comisionventa11[]');
	let montoventa							=	document.getElementById("montoventa").value;
	let montoventas							= document.getElementById("montoventasin").value;
	let totalmontoventa					= numero(montoventa);
	let ventavalido								=	document.getElementsByName("ventavalido[]");
	let totalporcentajecomision2 	= 0;
	let totalcomisionpagadav2			= 0;
	let comision								= 0+'-'+0;
	
	
	for (var i = 0, j = checks1.length; i < j; i++) {	personavalido1[i].value='no';	if(checks1[i].checked == true){	personavalido1[i].value='si';	suma++;	}}
	//if(suma == 0){ alert('Debes seleccionar Una Personal Administrativo'); return false; }
	for (var i = 0, j = checks1.length; i < j; i++) {
		var comisionventa1v 	= comisionventa11[i].value;
		var totalcomision11v 	= 0;
		//console.log('Personal comisionventa1v:',comisionventa1v);
		if(checks1[i].checked == true){
			totalcomision11v 				= (totalmontoventa)*(comisionventa1v/100);
			totalcomisionpagadav2		= totalcomisionpagadav2 + totalcomision11v;
		 	totalporcentajecomision2= totalporcentajecomision2 + comisionventa1v*1;
			//console.log('totalporcentajecomision2:',totalporcentajecomision2); 
			totalcomision1[i].value = number_format(totalcomision11v,2);
			venta1[i].value					= number_format(totalcomision11v,2);
			
			
		}else{
			totalcomision1[i].value = number_format(0,2);
			venta1[i].value					= number_format(0,2);
			
		}
	}
	var nrodocu = 0;
	for (var i = 0, j = ventavalido.length; i < j; i++) {
		if (ventavalido[i].value=='si') {
			nrodocu = 1;
			break
		}	
	}
	comision 								= totalcomisionpagadav2+'-'+totalporcentajecomision2;
	if (nrodocu==0){
		totalporcentajecomision2 = 0;
	}
	 	
	return comision;
}

function totalcomision() {
	let checks						= document.getElementsByName('iddocumento[]');
	let checksv 					= document.getElementsByName('idvendedor[]');
	let checksp 					= document.getElementsByName('idvendedorp[]');
	let monto1						=	document.getElementsByName("montodd[]");
	let venta 						= document.getElementsByName('venta[]');
	let cobranza 					= document.getElementsByName('cobranza[]');
	let totalcomision 		= document.getElementsByName('totalcomision[]');
	let venta1 						= document.getElementsByName('venta1[]');
	let cobranza1 				= document.getElementsByName('cobranza1[]');
	let totalcomision1 		= document.getElementsByName('totalcomision1[]');
	let porcentajeventa		= document.getElementsByName('porcentajeventa[]');
	let vendedornombre		= document.getElementsByName('vendedornombre[]');
	

	let totalmontoventa			= 0;
	let totalmontoventav		= 0;
	let totalmontoventavv		= 0;
	let totalmontocobranza	= 0;
	let totalmontoventav1		= 0;
	let totalmontocobranza1	= 0;
	let porcentajecomisionv	= 0;
	let porcentajecomisionc = 0;
	let totalmontoventavg 	= 0;
	
	//Chequeamos facturas seleccionadas
	for (var i = 0, j = checks.length; i < j; i++) {
		if(checks[i].checked == true){
			totalmontoventa = totalmontoventa + monto1[i].value*1;
		}
	}

	//Ahora vendededores seleccionado
	for (var i = 0, j = checksv.length; i < j; i++) {
		if(checksv[i].checked == true){
			
			console.log('vendedornombre[i].value: ',vendedornombre[i].value);
			if(vendedornombre[i].value=='HERNAN MONTALVO'){
				totalmontoventavg 	= totalmontoventavg*1 + numero(venta[i].value)*1;
			}else{
				totalmontoventavv 		= totalmontoventavv*1 + numero(venta[i].value)*1;
			}
			
			totalmontocobranza 	= totalmontocobranza*1 + numero(cobranza[i].value)*1;
			porcentajecomisionv = porcentajecomisionv*1 + numero(porcentajeventa[i].value)*1;
			
		}
		totalcomision[i].value = number_format((numero(cobranza[i].value)*1)+(numero(venta[i].value)*1),2);
	}	

	//Ahora personal seleccionado
	for (var i = 0, j = checksp.length; i < j; i++) {
		if(checksp[i].checked == true){
			console.log('venta1[i].value: ',venta1[i].value);
			console.log('1-totalmontoventav1: ',totalmontoventav1);
			totalmontoventav1 		= totalmontoventav1*1 + numero(venta1[i].value)*1;
			totalmontocobranza1 	= totalmontocobranza1*1 + numero(cobranza1[i].value)*1;
			console.log('2-totalmontoventav: ',totalmontoventav1);
		}
		totalcomision1[i].value = number_format((numero(cobranza1[i].value)*1)+(numero(venta1[i].value)*1),2);
	}	/*  */

	totalmontoventav = totalmontoventavv + totalmontoventavg + totalmontoventav1

	$("#montoventa").val(number_format(totalmontoventa,2));
	$("#montoventasin").val(totalmontoventa);
	$("#totalcomisionv").val(number_format(totalmontoventav+totalmontocobranza+totalmontocobranza1,2));
	
	$("#totalcomisionvp").val(number_format((((totalmontoventav/totalmontoventa)+(totalmontocobranza/totalmontoventa))*100),2));

	$("#montocomisionv").val(number_format(totalmontoventav,2));
	$("#montocomisionvv").val(number_format(totalmontoventavv,2));
	$("#montocomisionc").val(number_format(totalmontocobranza,2));
	$("#montocomisioncg").val(number_format(totalmontoventavg,2));
	$("#montocomisionvp").val(number_format(totalmontoventav1,2));
	$("#montocomisioncp").val(number_format(totalmontocobranza1,2)); 
	
	
	$("#porcentajecomisionv").val(number_format((totalmontoventav/totalmontoventa)*100,2));
	$("#porcentajecomisionvv").val(number_format((totalmontoventavv/totalmontoventa)*100,2));
	$("#porcentajecomisionc").val(number_format((totalmontocobranza/totalmontoventa)*100,3));
	$("#porcentajecomisionvg").val(number_format((totalmontoventavg/totalmontoventa)*100,2));
	$("#porcentajecomisionvp").val(number_format((totalmontoventav1/totalmontoventa)*100,2));
	
	
	/**/
	
	$("#montocomision").val(number_format(totalmontoventav+totalmontocobranza+totalmontoventav1+totalmontocobranza1 ,2));
}





init();